/**CHeaderFile*****************************************************************

  FileName    [utils.h]

  PackageName [utils]

  Synopsis    [External header of the utils package]

  Description [External header of the utils package.]

  SeeAlso     []

  Author      [Marco Roveri]

  Copyright   [ Copyright (c) 1998 by ITC-IRST and Carnegie Mellon University.
  All Rights Reserved. This software is for educational purposes only.
  Permission is given to academic institutions to use, copy, and modify
  this software and its documentation provided that this introductory
  message is not removed, that this software and its documentation is
  used for the institutions' internal research and educational purposes,
  and that no monies are exchanged. No guarantee is expressed or implied
  by the distribution of this code.
  Send bug-reports and/or questions to: nusmv@irst.itc.it. ]

  Revision    [$Id: $]

******************************************************************************/

#ifndef _UTILS_H
#define _UTILS_H

#include "util.h"
#include "array.h"
#include "avl.h"
#include "ustring.h"
#include "node.h"
#include "assoc.h"
#include "io.h"
#include "error.h"

#include <setjmp.h>
#if SOLARIS
extern sigjmp_buf siglongjmp_buf;
#define SETJMP(buf,val) sigsetjmp(buf, val)
#else
extern jmp_buf siglongjmp_buf;
#define SETJMP(buf,val) setjmp(buf)
#endif

#if SOLARIS
#define LONGJMP(buf,val) siglongjmp(buf, val);
#else
#define LONGJMP(buf,val) longjmp(siglongjmp_buf, val);
#endif

#define CATCH set_longjmp_on_err();\
        if (SETJMP(siglongjmp_buf, 1) == 0)

#endif /* _UTILS_H */
